Page 1 of 1

Opgrader til ny PHP version

Posted: Tue May 09, 2017 1:40 pm
by UDUj
Hej
På administratordelen er der kommet en besked om at jeg skal opgradere fra PHP ver. 5.5.29 til en nyere version ellers vil min hjemmeside ikke blive understøttet.
Er det noget jeg selv skal gøre eller er det mit webhotel jeg skal have fat i?

Re: Opgrader til ny PHP version

Posted: Tue May 09, 2017 1:43 pm
by JetteNielsen
Jeg kontaktede mit webhotel. På nogle hoteller kan man selv ændre det i kundecenter/kontrolpanel. f.eks. kunne jeg dette hos Gigahost.

Re: Opgrader til ny PHP version

Posted: Tue May 09, 2017 6:38 pm
by UDUj
Hej

Jeg har undersøgt det hos mit webhotel - indtil videre Surftown som jeg ikke er særlig glad for - der oplyser at jeg skal aktivere PHP 7, og at det gøres ved at tilføje følgende linje i toppen af min .htaccess-fil:
AddType application/x-httpd-php7 php

Det har jeg gjort således
##
# @package Joomla
# @copyright Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.
# @license GNU General Public License version 2 or later; see LICENSE.txt
##
AddType application/x-httpd-php7 php

men det virker ikke, mon det er det rigtige?

Nu har jeg skrevet og spurgt dem, men de ender som sædvanlig nok med at kræve betaling for at hjælpe.
Hvis nogen ved om og hvordan htaccess.txt skal ændres så ville det være dejligt.

Re: Opgrader til ny PHP version

Posted: Tue May 09, 2017 6:49 pm
by UDUj
Hej
Lige da jeg havde skrevet dette, opdagede jeg at filen havde fået en .txt endelse, hvordan de så har fået gjort det i forbindelse med at de flyttede min side over fra DomainDirect
Filnavnet er ændret, og så fungerer det.

Tak til Jette

Re: Opgrader til ny PHP version

Posted: Tue May 09, 2017 7:15 pm
by ot2sen
Mod note: Tråden flyttet fra 'FAQ' til --> 'Joomla 3 / Installation, opdatering...'

Re: Opgrader til ny PHP version

Posted: Tue May 09, 2017 7:20 pm
by ot2sen
Hej UDUj - og velkommen til :)

Advarslen der vises efter opdatering til Joomla! 3.7 er en anbefaling, og det er bestemt en god ide at anvende PHP 7 da ens side bliver både hurtigere og sikrere og samtidig anvender færre systemressourcer.

Med det sagt, så kan joomla dog fint køre på PHP 5.5, 5.6 da minimumskravet er PHP 5.3.10

Man kan slå advarslen fra hvis man ikke ønsker at se den hver gang man logger ind.
Det er et plugin og findes på listen over udvidelser hvor man kan deaktivere den.

Re: Opgrader til ny PHP version

Posted: Wed May 10, 2017 8:26 am
by UDUj
Hej

Mange tak, sådan som jeg læste advarselen kunne min side gå ned, men mit engelsk er ikke så godt som det kunne være.

Re: Opgrader til ny PHP version

Posted: Mon May 15, 2017 7:47 pm
by ot2sen
Hvis engelsk er et problem, så er der fuld understøttelse af dansk for både front og administrationen.

Det tager kun et øjeblik at installere den danske sprogpakke og aktivere den for hhv. site og admin.

Re: Opgrader til ny PHP version

Posted: Tue May 16, 2017 6:27 am
by UDUj
Tak for oplysningen

Re: Opgrader til ny PHP version

Posted: Thu May 18, 2017 11:25 am
by Strandhauge
Hos One.com kunne jeg ændre det til PHP 7.0 eller PHP 7.1 i kontrolpanelet. Hvis jeg ændrede til PHP 7.1 kom der fejl på hjemmesiden, så jeg gik tilbage til PHP 7.0.
Hilsen Per.

Re: Opgrader til ny PHP version

Posted: Thu May 18, 2017 1:44 pm
by UDUj
Tak for oplysnimngen, som jeg kan bruge, da jeg senere på året flytter siden til One.com